Bug 1247158 - Crash with bugzilla.base.BugzillaError: data must be a byte string
Crash with bugzilla.base.BugzillaError: data must be a byte string
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
22
Unspecified Unspecified
high Severity urgent
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 09:28 EDT by Hubert Kario
Modified: 2015-10-05 17:54 EDT (History)
7 users (show)

See Also:
Fixed In Version: python-bugzilla-1.2.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-05 17:54:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hubert Kario 2015-07-27 09:28:00 EDT
Description of problem:
When running status-report on Fedora 22, the application crashes with a stack trace.

Version-Release number of selected component (if applicable):
qa-tools-workstation-3.9-32.x86_64

How reproducible:
always

Steps to Reproduce:
1. status-report last week
2.
3.

Actual results:
Traceback (most recent call last):
  File "/usr/bin/status-report", line 239, in <module>
    user_stats = UserStats(user, options)
  File "/usr/bin/status-report", line 49, in __init__
    BugzillaStats(option="bugzilla", parent=self),
  File "/usr/share/qa-tools/python-modules/reports/bugzilla.py", line 452, in __init__
    VerifiedBugs(option="verified", parent=self),
  File "/usr/share/qa-tools/python-modules/reports/base.py", line 165, in __init__
    self.check()
  File "/usr/share/qa-tools/python-modules/reports/base.py", line 191, in check
    self.fetch()
  File "/usr/share/qa-tools/python-modules/reports/bugzilla.py", line 206, in fetch
    bug for bug in Bug.search(query, options=self.options)
  File "/usr/share/qa-tools/python-modules/reports/bugzilla.py", line 61, in search
    result = server.query(query)
  File "/usr/lib/python2.7/site-packages/bugzilla/base.py", line 1209, in query
    r = self._query(query)
  File "/usr/lib/python2.7/site-packages/bugzilla/base.py", line 1200, in _query
    return self._proxy.Bug.search(query)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1240, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.7/site-packages/bugzilla/base.py", line 168, in _ServerProxy__request
    ret = ServerProxy._ServerProxy__request(self, methodname, params)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1599, in __request
    verbose=self.__verbose
  File "/usr/lib/python2.7/site-packages/bugzilla/base.py", line 263, in request
    return self._request_helper(url, request_body)
  File "/usr/lib/python2.7/site-packages/bugzilla/base.py", line 250, in _request_helper
    raise e
bugzilla.base.BugzillaError: data must be a byte string

Expected results:
weekly report

Additional info:
Comment 1 Hubert Kario 2015-07-27 09:37:50 EDT
python-bugzilla-1.2.1-1.fc22.noarch

running 

  bugzilla query -b 12345

causes

  Server error: data must be a byte string
Comment 2 Cole Robinson 2015-08-09 13:51:09 EDT
There was a thread about this here:

https://lists.fedorahosted.org/pipermail/python-bugzilla/2015-July/000417.html

Workaround is to remove python-ndg_httpsclient, but there's also a python-bugzilla workaround-ish patch to fix it too, I'll do builds with that soon
Comment 3 Fedora Update System 2015-09-22 21:51:55 EDT
python-bugzilla-1.2.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16470
Comment 4 Fedora Update System 2015-09-25 17:21:38 EDT
python-bugzilla-1.2.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-bugzilla'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16470
Comment 5 Fedora Update System 2015-10-05 17:54:20 EDT
python-bugzilla-1.2.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.